|  | Home · All Classes · All Functions · Overviews

# QXmlDTDHandler Class Reference
[QtXml module]

The QXmlDTDHandler class provides an interface to report DTD content of XML data. More...

     #include <QXmlDTDHandler>

This class is not part of the Qt GUI Framework Edition.

Inherited by QXmlDefaultHandler.

Note: All functions in this class are reentrant.

- List of all members, including inherited members

## Public Functions

virtual | ~QXmlDTDHandler ()
virtual QString | errorString () const = 0
virtual bool | notationDecl ( const QString & name, const QString & publicId, const QString & systemId ) = 0
virtual bool | unparsedEntityDecl ( const QString & name, const QString & publicId, const QString & systemId, const QString & notationName ) = 0

## Detailed Description

The QXmlDTDHandler class provides an interface to report DTD content of XML data.

If an application needs information about notations and unparsed entities, it can implement this interface and register an instance with QXmlReader::setDTDHandler().

Note that this interface includes only those DTD events that the XML recommendation requires processors to report, i.e. notation and unparsed entity declarations using notationDecl() and unparsedEntityDecl() respectively.

See also QXmlDeclHandler, QXmlContentHandler, QXmlEntityResolver, QXmlErrorHandler, QXmlLexicalHandler, and Introduction to SAX2.

## Member Function Documentation

### QXmlDTDHandler::~QXmlDTDHandler () `[virtual]`

Destroys the DTD handler.

### QString QXmlDTDHandler::errorString () const `[pure virtual]`

The reader calls this function to get an error string if any of the handler functions returns false.

### bool QXmlDTDHandler::notationDecl ( const QString & name, const QString & publicId, const QString & systemId ) `[pure virtual]`

The reader calls this function when it has parsed a notation declaration.

The argument name is the notation name, publicId is the notation's public identifier and systemId is the notation's system identifier.

If this function returns false the reader stops parsing and reports an error. The reader uses the function errorString() to get the error message.

### bool QXmlDTDHandler::unparsedEntityDecl ( const QString & name, const QString & publicId, const QString & systemId, const QString & notationName ) `[pure virtual]`

The reader calls this function when it finds an unparsed entity declaration.

The argument name is the unparsed entity's name, publicId is the entity's public identifier, systemId is the entity's system identifier and notationName is the name of the associated notation.

If this function returns false the reader stops parsing and reports an error. The reader uses the function errorString() to get the error message.